RpcChannel.RpcCollector (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.tribes.group

## Class RpcChannel.RpcCollector

- java.lang.Object
- - org.apache.catalina.tribes.group.RpcChannel.RpcCollector

- Enclosing class:
    RpcChannel

      public static class RpcChannel.RpcCollector
      extends Object

  Class that holds all response.
  Version:
    1.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `destcnt`
    `RpcChannel.RpcCollectorKey` | `key`
    `int` | `options`
    `ArrayList<Response>` | `responses`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RpcCollector(RpcChannel.RpcCollectorKey key, int options, int destcnt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResponse(Serializable message, Member sender)`
    `boolean` | `equals(Object o)`
    `Response[]` | `getResponses()`
    `int` | `hashCode()`
    `boolean` | `isComplete()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### responses

          public final ArrayList<Response> responses

    - #### key

          public final RpcChannel.RpcCollectorKey key

    - #### options

          public final int options

    - #### destcnt

          public int destcnt

  - ### Constructor Detail

    - #### RpcCollector

          public RpcCollector(RpcChannel.RpcCollectorKey key,
                              int options,
                              int destcnt)

  - ### Method Detail

    - #### addResponse

          public void addResponse(Serializable message,
                                  Member sender)

    - #### isComplete

          public boolean isComplete()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### getResponses

          public Response[] getResponses()

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.